import { Router } from '@angular/router';
import { HttpClient, HttpRequest } from '@angular/common/http';
import { StorageService } from '../storage-service';
import * as i0 from "@angular/core";
export declare class TokenService {
    private storageService;
    private router;
    private http;
    private tokenIsRenewing;
    private token$;
    constructor(storageService: StorageService, router: Router, http: HttpClient);
    mustRenewToken(url: string, isGetRequest: any): boolean;
    getTokenStream(): any;
    generateTokenHeaders(options?: HttpRequest<any>, isFile?: boolean): HttpRequest<any>;
    private generateRenewStream;
    private getTokenKey;
    static ɵfac: i0.ɵɵFactoryDeclaration<TokenService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TokenService>;
}
